Package org.jfree.layouting.renderer.model

## Class NodeLayoutProperties

- java.lang.Object
- - org.jfree.layouting.renderer.model.NodeLayoutProperties

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class NodeLayoutProperties
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A static properties collection. That one is static; once computed it does not change anymore. It does not (under no thinkable circumstances) depend on the given content. It may depend on static content of the parent.
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeLayoutProperties​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `CSSValue` | `getAlignmentAdjust​()` |
    `RenderLength` | `getAlignmentAdjustResolved​()` |
    `CSSValue` | `getAlignmentBaseline​()` |
    `CSSValue` | `getBaselineShift​()` |
    `RenderLength` | `getBaselineShiftResolved​()` |
    `int` | `getMajorAxis​()` |
    `int` | `getMinorAxis​()` |
    `java.lang.String` | `getNamespace​()` |
    `java.lang.String` | `getTagName​()` |
    `CSSValue` | `getVerticalAlignment​()` |
    `void` | `setAlignmentAdjust​(CSSValue alignmentAdjust)` |
    `void` | `setAlignmentAdjustResolved​(RenderLength alignmentAdjustResolved)` |
    `void` | `setAlignmentBaseline​(CSSValue alignmentBaseline)` |
    `void` | `setBaselineShift​(CSSValue baselineShift)` |
    `void` | `setBaselineShiftResolved​(RenderLength baselineShiftResolved)` |
    `void` | `setMajorAxis​(int majorAxis)` |
    `void` | `setMinorAxis​(int minorAxis)` |
    `void` | `setNamespace​(java.lang.String namespace)` |
    `void` | `setTagName​(java.lang.String tagName)` |
    `void` | `setVerticalAlignment​(CSSValue verticalAlignment)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeLayoutProperties

          public NodeLayoutProperties​()

  - ### Method Detail

    - #### getMajorAxis

          public int getMajorAxis​()

    - #### setMajorAxis

          public void setMajorAxis​(int majorAxis)

    - #### getMinorAxis

          public int getMinorAxis​()

    - #### setMinorAxis

          public void setMinorAxis​(int minorAxis)

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### getAlignmentBaseline

          public CSSValue getAlignmentBaseline​()

    - #### setAlignmentBaseline

          public void setAlignmentBaseline​(CSSValue alignmentBaseline)

    - #### getAlignmentAdjust

          public CSSValue getAlignmentAdjust​()

    - #### setAlignmentAdjust

          public void setAlignmentAdjust​(CSSValue alignmentAdjust)

    - #### getBaselineShift

          public CSSValue getBaselineShift​()

    - #### setBaselineShift

          public void setBaselineShift​(CSSValue baselineShift)

    - #### getVerticalAlignment

          public CSSValue getVerticalAlignment​()

    - #### setVerticalAlignment

          public void setVerticalAlignment​(CSSValue verticalAlignment)

    - #### getBaselineShiftResolved

          public RenderLength getBaselineShiftResolved​()

    - #### setBaselineShiftResolved

          public void setBaselineShiftResolved​(RenderLength baselineShiftResolved)

    - #### getAlignmentAdjustResolved

          public RenderLength getAlignmentAdjustResolved​()

    - #### setAlignmentAdjustResolved

          public void setAlignmentAdjustResolved​(RenderLength alignmentAdjustResolved)

    - #### getNamespace

          public java.lang.String getNamespace​()

    - #### setNamespace

          public void setNamespace​(java.lang.String namespace)

    - #### getTagName

          public java.lang.String getTagName​()

    - #### setTagName

          public void setTagName​(java.lang.String tagName)